## org.eclipse.datatools.modelbase.sql.datatypes
Class ReadPermissionOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.ReadPermissionOption

public final class ReadPermissionOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Read Permission Option', and utility methods for working with them.

See Also:
  `SQLDataTypesPackage.getReadPermissionOption()`, Serialized Form

Field Summary
`static int` `DB` The 'DB' literal value.
`static ReadPermissionOption` `DB_LITERAL` The 'DB' literal object.
`static int` `FS` The 'FS' literal value.
`static ReadPermissionOption` `FS_LITERAL` The 'FS' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Read Permission Option' enumerators.

Method Summary
`static ReadPermissionOption` `get(int value)` Returns the 'Read Permission Option' literal with the specified value.
`static ReadPermissionOption` `get(java.lang.String name)` Returns the 'Read Permission Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FS

    public static final int FS

  The 'FS' literal value.

  See Also:
    `FS_LITERAL`, Constant Field Values

### DB

    public static final int DB

  The 'DB' literal value.

  See Also:
    `DB_LITERAL`, Constant Field Values

### FS_LITERAL

    public static final ReadPermissionOption FS_LITERAL

  The 'FS' literal object.

  If the meaning of 'FS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FS`

### DB_LITERAL

    public static final ReadPermissionOption DB_LITERAL

  The 'DB' literal object.

  If the meaning of 'DB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DB`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Read Permission Option' enumerators.

Method Detail

### get

    public static ReadPermissionOption get(java.lang.String name)

  Returns the 'Read Permission Option' literal with the specified name.

### get

    public static ReadPermissionOption get(int value)

  Returns the 'Read Permission Option' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.